import request from '@/router/axios'

// 任务记录分页
export function getEntTaskPage(query) {
	return request({
		url: '/admin/dept-task/page-ent-task',
		method: 'get',
		params: query
	})
}

// 查询关联的企业积分包
export function getRelatedEntPackList(query) {
  return request({
    url: '/admin/dept-task/list-related-ent-package',
    method: 'get',
    params: query
  })
}

// B端服务提交-医学会各级年会及卫星会
export  function saveTaskWeixing (data) {
  return request({
    url: '/admin/dept-task/save-task-type62',
    method: 'post',
    data
  })
}

// B端服务保存-医学会各级年会及卫星会
export  function saveTaskWeixingTemp (data) {
  return request({
    url: '/admin/dept-task/save-task-type62-temp',
    method: 'post',
    data
  })
}

// B端服务提交-专家学术研讨会
export  function saveTaskXunjiang (data) {
  return request({
    url: '/admin/dept-task/save-task-type63',
    method: 'post',
    data
  })
}

// B端服务保存-专家学术研讨会
export  function saveTaskXunjiangTemp (data) {
  return request({
    url: '/admin/dept-task/save-task-type63-temp',
    method: 'post',
    data
  })
}

// B端服务提交-企业通用
export  function saveTaskCommon (data) {
  return request({
    url: '/admin/dept-task/save-task-type61',
    method: 'post',
    data
  })
}

// B端服务提交-企业通用
export  function saveTaskCommonTemp (data) {
  return request({
    url: '/admin/dept-task/save-task-type61-temp',
    method: 'post',
    data
  })
}

// 获取B端服务保存缓存数据
export function getEntTaskTemp(taskTypeId) {
  return request({
    url: `/admin/dept-task/task-type-temp/${taskTypeId}`,
    method: 'get'
  })
}


// B端服务提交-医院准入
export  function saveTaskHospital (data) {
  return request({
    url: '/admin/dept-task/save-task-type66',
    method: 'post',
    data
  })
}

// 保存
export  function saveTemp (data, taskTypeId) {
  return request({
    url: `/admin/dept-task/save-temp/${taskTypeId}`,
    method: 'post',
    data
  })
}

// 回显
export  function getDeptTaskApi (taskTypeId) {
  return request({
    url: `/admin//dept-task/task-type-temp/${taskTypeId}`,
    method: 'get',
  })
}



// B端服务提交-招投标服务
export  function saveTaskTender (data) {
  return request({
    url: '/admin/dept-task/save-task-type67',
    method: 'post',
    data
  })
}


export  function saveBusinessMeeting (data) {
  return request({
    url: '/admin/dept-task/save-task-type68',
    method: 'post',
    data
  })
}


export  function saveTaskSpecialContracts (data) {
  return request({
    url: '/admin/dept-task/save-task-type70',
    method: 'post',
    data
  })
}



export  function saveChannelMaintenance (data) {
  return request({
    url: '/admin/dept-task/save-task-type69',
    method: 'post',
    data
  })
}

// 获取推广产品名称
export function getListDrugApi() {
  return request({
    url: '/admin/wmdadrugentdrugtable/list-drug',
    method: 'get',
  })
}
